{
  "aggMode" : "NONE",
  "codeName" : "Main",
  "columnEnableFilter" : 2,
  "columnEnableLink" : 2,
  "controlType" : "GRID",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Student/PSGRIDS/Main.json",
  "getFetchPSControlAction" : {
    "modelref" : true,
    "id" : "fetch"
  },
  "groupMode" : "NONE",
  "hookEventNames" : [ "ROWDBLCLICK", "SELECTIONCHANGE", "LOAD", "BEFORELOAD" ],
  "logicName" : "主表格",
  "mOSFilePath" : "psmodules/common/psdataentities/STUDENT/psdegrids/Main",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Student.json"
  },
  "getPSControlLogics" : [ {
    "eventNames" : "ROWDBLCLICK;SELECTIONCHANGE;LOAD;BEFORELOAD",
    "logicTag" : "grid",
    "logicType" : "APPVIEWENGINE",
    "name" : "engine_grid",
    "getPSAppViewEngine" : {
      "modelref" : true,
      "id" : "engine"
    }
  } ],
  "getPSDEGridColumns" : [ {
    "align" : "LEFT",
    "cLConvertMode" : "NONE",
    "caption" : "学生标识",
    "codeName" : "studentid",
    "columnType" : "DEFGRIDCOLUMN",
    "dataItemName" : "studentid",
    "excelCaption" : "学生标识",
    "getLinkPSAppView" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/studentEditView.json",
      "viewType" : "DEEDITVIEW"
    },
    "linkValueItem" : "studentid",
    "mOSFilePath" : "psdegridcols/studentid",
    "name" : "studentid",
    "noPrivDisplayMode" : 1,
    "getPSAppDEField" : {
      "name" : "STUDENTID",
      "codeName" : "StudentId"
    },
    "rTMOSFilePath" : "psdegridcols/studentid",
    "width" : 180,
    "widthUnit" : "PX",
    "enableLinkView" : true,
    "enableRowEdit" : true,
    "enableSort" : true
  }, {
    "align" : "LEFT",
    "cLConvertMode" : "NONE",
    "caption" : "学生名称",
    "codeName" : "name",
    "columnType" : "DEFGRIDCOLUMN",
    "dataItemName" : "studentname",
    "excelCaption" : "学生名称",
    "getLinkPSAppView" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/studentEditView.json",
      "viewType" : "DEEDITVIEW"
    },
    "linkValueItem" : "srfkey",
    "mOSFilePath" : "psdegridcols/name",
    "name" : "name",
    "noPrivDisplayMode" : 1,
    "getPSAppDEField" : {
      "name" : "STUDENTNAME",
      "codeName" : "StudentName"
    },
    "rTMOSFilePath" : "psdegridcols/name",
    "width" : 100,
    "widthUnit" : "PX",
    "enableLinkView" : true,
    "enableRowEdit" : true,
    "enableSort" : true
  }, {
    "align" : "LEFT",
    "cLConvertMode" : "NONE",
    "caption" : "年龄",
    "codeName" : "age",
    "columnType" : "DEFGRIDCOLUMN",
    "dataItemName" : "age",
    "excelCaption" : "年龄",
    "mOSFilePath" : "psdegridcols/age",
    "name" : "age",
    "noPrivDisplayMode" : 1,
    "getPSAppDEField" : {
      "name" : "AGE",
      "codeName" : "Age"
    },
    "rTMOSFilePath" : "psdegridcols/age",
    "width" : 100,
    "widthUnit" : "PX",
    "enableSort" : true
  }, {
    "align" : "LEFT",
    "cLConvertMode" : "NONE",
    "caption" : "单位",
    "codeName" : "department",
    "columnType" : "DEFGRIDCOLUMN",
    "dataItemName" : "department",
    "excelCaption" : "单位",
    "mOSFilePath" : "psdegridcols/department",
    "name" : "department",
    "noPrivDisplayMode" : 1,
    "getPSAppDEField" : {
      "name" : "DEPARTMENT",
      "codeName" : "Department"
    },
    "rTMOSFilePath" : "psdegridcols/department",
    "width" : 100,
    "widthUnit" : "PX",
    "enableSort" : true
  }, {
    "align" : "LEFT",
    "cLConvertMode" : "NONE",
    "caption" : "地址",
    "codeName" : "address",
    "columnType" : "DEFGRIDCOLUMN",
    "dataItemName" : "address",
    "excelCaption" : "地址",
    "mOSFilePath" : "psdegridcols/address",
    "name" : "address",
    "noPrivDisplayMode" : 1,
    "getPSAppDEField" : {
      "name" : "ADDRESS",
      "codeName" : "Address"
    },
    "rTMOSFilePath" : "psdegridcols/address",
    "width" : 100,
    "widthUnit" : "PX",
    "enableSort" : true
  } ],
  "getPSDEGridDataItems" : [ {
    "dataType" : 25,
    "name" : "studentid",
    "getPSAppDEField" : {
      "name" : "STUDENTID",
      "codeName" : "StudentId"
    }
  }, {
    "dataType" : 25,
    "name" : "studentname",
    "getPSAppDEField" : {
      "name" : "STUDENTNAME",
      "codeName" : "StudentName"
    }
  }, {
    "dataType" : 9,
    "name" : "age",
    "getPSAppDEField" : {
      "name" : "AGE",
      "codeName" : "Age"
    }
  }, {
    "dataType" : 25,
    "name" : "department",
    "getPSAppDEField" : {
      "name" : "DEPARTMENT",
      "codeName" : "Department"
    }
  }, {
    "dataType" : 25,
    "name" : "address",
    "getPSAppDEField" : {
      "name" : "ADDRESS",
      "codeName" : "Address"
    }
  }, {
    "dataType" : 25,
    "name" : "srfkey",
    "getPSAppDEField" : {
      "name" : "STUDENTID",
      "codeName" : "StudentId"
    }
  }, {
    "dataType" : 25,
    "name" : "srfdataaccaction",
    "getPSAppDEField" : {
      "name" : "STUDENTID",
      "codeName" : "StudentId"
    },
    "dataAccessAction" : true
  }, {
    "dataType" : 25,
    "name" : "srfmajortext",
    "getPSAppDEField" : {
      "name" : "STUDENTNAME",
      "codeName" : "StudentName"
    }
  } ],
  "getPSDEGridEditItems" : [ {
    "caption" : "学生标识",
    "codeName" : "studentid",
    "enableCond" : 3,
    "ignoreInput" : 0,
    "mOSFilePath" : "psdegridcols/studentid",
    "name" : "studentid",
    "getPSAppDEField" : {
      "name" : "STUDENTID",
      "codeName" : "StudentId"
    },
    "getPSEditor" : {
      "editorType" : "SPAN",
      "name" : "studentid",
      "enableLinkView" : false
    },
    "rTMOSFilePath" : "psdegridcols/studentid",
    "allowEmpty" : true
  }, {
    "caption" : "学生名称",
    "codeName" : "name",
    "enableCond" : 3,
    "ignoreInput" : 0,
    "mOSFilePath" : "psdegridcols/name",
    "name" : "name",
    "getPSAppDEField" : {
      "name" : "STUDENTNAME",
      "codeName" : "StudentName"
    },
    "getPSEditor" : {
      "editorType" : "TEXTBOX",
      "maxLength" : 200,
      "name" : "name"
    },
    "rTMOSFilePath" : "psdegridcols/name",
    "allowEmpty" : true
  }, {
    "caption" : "学生标识",
    "codeName" : "srfkey",
    "enableCond" : 3,
    "ignoreInput" : 0,
    "mOSFilePath" : "psdegridcols/srfkey",
    "name" : "srfkey",
    "getPSAppDEField" : {
      "name" : "STUDENTID",
      "codeName" : "StudentId"
    },
    "getPSEditor" : {
      "editorType" : "HIDDEN",
      "name" : "srfkey"
    },
    "rTMOSFilePath" : "psdegridcols/srfkey",
    "allowEmpty" : true
  } ],
  "pagingSize" : 20,
  "rTMOSFilePath" : "pssysapps/Web/psappdeviews/studentPickupGridView/psappviewctrls/grid",
  "getRemovePSControlAction" : {
    "actionName" : "Remove",
    "actionType" : "DEACTION",
    "dataAccessAction" : "DELETE",
    "name" : "remove",
    "getPSAppDEMethod" : {
      "modelref" : true,
      "id" : "Remove"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Student.json"
    }
  },
  "sortMode" : "REMOTE",
  "hasWFDataItems" : false,
  "enableColFilter" : false,
  "enableCustomized" : true,
  "enableGroup" : false,
  "enablePagingBar" : true,
  "enableRowEdit" : false,
  "enableRowEditOrder" : false,
  "enableRowNew" : false,
  "forceFit" : false,
  "hideHeader" : false,
  "noSort" : false,
  "singleSelect" : false,
  "modelid" : "7b274ffd3d6bd73ac39b79b9d869f6a4",
  "modeltype" : "PSDEGRID"
}